Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## au.com.redhillconsulting.simian
Class Option

    java.lang.Object
      au.com.redhillconsulting.simian.Option

All Implemented Interfaces:
  java.lang.Comparable

    public final class Option

extends java.lang.Object
implements java.lang.Comparable

Enumerates the various options that control the behaviour of a `Checker`.

Version:
  $Id: Option.java 3019 2007-11-08 09:59:10Z haruki_zaemon $
Author:
  Simon Harris

Field Summary
`static Option` | `BALANCE_CURLY_BRACES`
`static Option` | `BALANCE_PARENTHESES`
`static Option` | `BALANCE_SQUARE_BRACKETS`
`static Option` | `FAIL_ON_DUPLICATION`
`static Option` | `IGNORE_BLOCKS`
`static Option` | `IGNORE_CHARACTER_CASE`
`static Option` | `IGNORE_CHARACTERS`
`static Option` | `IGNORE_CURLY_BRACES`
`static Option` | `IGNORE_IDENTIFIER_CASE`
`static Option` | `IGNORE_IDENTIFIERS`
`static Option` | `IGNORE_LITERALS`
`static Option` | `IGNORE_MODIFIERS`
`static Option` | `IGNORE_NUMBERS`
`static Option` | `IGNORE_REGIONS`
`static Option` | `IGNORE_STRING_CASE`
`static Option` | `IGNORE_STRINGS`
`static Option` | `IGNORE_SUBTYPE_NAMES`
`static Option` | `IGNORE_VARIABLE_NAMES`
`static Option` | `LANGUAGE`
`static Option` | `REPORT_DUPLICATE_TEXT`
`static Option` | `THRESHOLD`

Constructor Summary
`Option(java.lang.String name, java.lang.String parameters, java.lang.String description)` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object object)`
`int` | `compareTo(Option other)`
`java.lang.String` | `getDescription()` Obtains a description of the option and how it affects overall behaviour.
`java.lang.String` | `getName()` Obtains the name of the option.
`java.lang.String` | `getParameters()` Obtains a printable description of the possible parameters to the option.
`static java.util.SortedSet` | `getValidOptions()` Obtains the set of all valid options.
`static boolean` | `isValidOption(java.lang.String name)` Determines if a specified option is valid or not.
`java.lang.String` | `toString()`
`static Option` | `valueOf(java.lang.Object name)` Obtains an option by name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LANGUAGE

    public static final Option LANGUAGE

### THRESHOLD

    public static final Option THRESHOLD

### FAIL_ON_DUPLICATION

    public static final Option FAIL_ON_DUPLICATION

### BALANCE_CURLY_BRACES

    public static final Option BALANCE_CURLY_BRACES

### BALANCE_PARENTHESES

    public static final Option BALANCE_PARENTHESES

### BALANCE_SQUARE_BRACKETS

    public static final Option BALANCE_SQUARE_BRACKETS

### IGNORE_CURLY_BRACES

    public static final Option IGNORE_CURLY_BRACES

### IGNORE_MODIFIERS

    public static final Option IGNORE_MODIFIERS

### IGNORE_NUMBERS

    public static final Option IGNORE_NUMBERS

### IGNORE_STRINGS

    public static final Option IGNORE_STRINGS

### IGNORE_STRING_CASE

    public static final Option IGNORE_STRING_CASE

### IGNORE_CHARACTER_CASE

    public static final Option IGNORE_CHARACTER_CASE

### IGNORE_SUBTYPE_NAMES

    public static final Option IGNORE_SUBTYPE_NAMES

### IGNORE_CHARACTERS

    public static final Option IGNORE_CHARACTERS

### IGNORE_LITERALS

    public static final Option IGNORE_LITERALS

### IGNORE_REGIONS

    public static final Option IGNORE_REGIONS

### IGNORE_IDENTIFIER_CASE

    public static final Option IGNORE_IDENTIFIER_CASE

### IGNORE_VARIABLE_NAMES

    public static final Option IGNORE_VARIABLE_NAMES

### IGNORE_IDENTIFIERS

    public static final Option IGNORE_IDENTIFIERS

### IGNORE_BLOCKS

    public static final Option IGNORE_BLOCKS

### REPORT_DUPLICATE_TEXT

    public static final Option REPORT_DUPLICATE_TEXT

Constructor Detail

### Option

    public Option(java.lang.String name,
                  java.lang.String parameters,
                  java.lang.String description)

  Constructor.

  Parameters:
    `name` - The name of the option.
    `parameters` - Printable description of the possible paramaters.
    `description` - Description of the option and how it affects overall behaviour.

Method Detail

### getName

    public java.lang.String getName()

  Obtains the name of the option.

  Returns:
    The name of the option.

### getParameters

    public java.lang.String getParameters()

  Obtains a printable description of the possible parameters to the option.

  Returns:
    A printable description of the possible parameters to the option.

### getDescription

    public java.lang.String getDescription()

  Obtains a description of the option and how it affects overall behaviour.

  Returns:
    a description of the option and how it affects overall behaviour.

### compareTo

    public int compareTo(java.lang.Object object)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### compareTo

    public int compareTo(Option other)

### getValidOptions

    public static java.util.SortedSet getValidOptions()

  Obtains the set of all valid options.

  Returns:
    The valid options.

### isValidOption

    public static boolean isValidOption(java.lang.String name)

  Determines if a specified option is valid or not.

  Parameters:
    `name` - The name of the option to check for.
  Returns:
    `true` if the specified option is valid; otherwise `false`.

### valueOf

    public static Option valueOf(java.lang.Object name)

  Obtains an option by name.

  Parameters:
    `name` - The name of the option.
  Returns:
    The option identified by the specified name.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Simian - Similarity Analyser v2.2.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-07 RedHill Consulting Pty. Ltd. All rights reserved.